module Endymion
  class Filter

    attr_reader :operator, :field, :value

    def initialize(field, operator, value)
      @operator = operator
      @field = field
      @value = value
    end

    def to_h
      {
        :operator => operator,
        :field    => field,
        :value    => value
      }
    end
  end
end
