require 'endymion/format'

module Endymion
  class KindSpec

    attr_reader :kind, :fields, :api

    def initialize(kind, api)
      @kind = kind
      @fields = {}
      @api = api
    end

    def field(name, opts={})
      name = Format.format_field(name)
      @fields[name] = FieldSpec.new(name, opts.merge(api: api))
    end

  end

end